# Contributing to Lenstube

We love your input! We want to make contributing to this project as easy and transparent as possible, whether it's:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features

Pull requests are the best way to propose changes to the codebase. We actively welcome your pull requests:

1. Fork the repo and create your branch from `main`.
2. If you've added code that should be tested.
3. Make sure your code lints. (`yarn check-lint`)
4. Issue that pull request!
5. The Pull Request should be raised against main branch.

Feel free to contact us if any issues.

## Report bugs

We use GitHub issues to track public bugs. Report a bug by [opening a new issue](https://github.com/lenstube-xyz/lenstube/issues); it's that easy!

## Write bug reports with detail, and background

**Great Bug Reports** tend to have:

- A quick summary and/or background
- Steps to reproduce
- Be specific!
- What you expected would happen
- What actually happens
- Additional info if any
